/**
 * @file  io_board.h
 * @brief IO{[hhCowb_
 *
 * {\tgEFA̒쌠͍쐬ł()kldqL̂ƂA
 * ()kldq́Aȉ (1)`(3) ̏𖞂ꍇɌA
 * {\tgEFAi{\tgEFAς̂܂ށBȉj
 * gpEEρEĔzziȉApƌĂԁj邱Ƃ𖳏ŋB
 *
 * (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́AL̒
 *	   \A̗pÂ܂܂̌`Ń\[XR[hɊ܂܂
 *	   邱ƁB
 * (2) {\tgEFÄꕔ܂͑SĂ𖳒fœ]ڂ邱Ƃ֎~
 *	   ƂBGȂǂ֏ЉE^̏ꍇ()kldqɘA肢܂B
 * (3) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹Q
 *	   A()kldq͈؂̐ӔC𕉂Ȃ̂ƂB
 *
 * Copyright (C) Hokuto denshi Co,Ltd. 2019
 */

#ifndef __IOBOARD_H__
#define __IOBOARD_H__

/*----------------------------------------------------------------------
	CN[h
----------------------------------------------------------------------*/

/*----------------------------------------------------------------------
	^`
----------------------------------------------------------------------*/

/*----------------------------------------------------------------------
	萔`
----------------------------------------------------------------------*/
#define OFF 0
#define ON 1
#define HOLD 2

//7seg\艻
#define ADC_VAL_HIST 3						//3ȏωꍇ\XV
#define ADC_VAL_UPDATE_INTERVAL 20000		//2bɋIɍXV

/*----------------------------------------------------------------------
	OQƁi֐j
----------------------------------------------------------------------*/

void mdelay( unsigned long msec );
void sw_led(void);
void seg_led(unsigned short val, unsigned short dp);
unsigned char seg_drive(unsigned char seg_char, unsigned char dp);
void stepping_motor_drive(unsigned char pattern);
void stepping_motor_en(unsigned char on_off);
void buzz_pitch(unsigned char cycle);


/*----------------------------------------------------------------------
	OQƁiϐj
----------------------------------------------------------------------*/
//EFCg
extern unsigned long g_wait_x100_us_counter;

//7segLED
extern unsigned short g_seg_state;
extern unsigned short g_seg_flag;
extern unsigned short g_seg_com;
extern unsigned char g_seg_char[];
extern unsigned char g_seg_dp[];

//Matrix-SW
extern unsigned short g_matrix_scan;
extern unsigned short g_matrix_sw[];

//ADC
extern unsigned short g_adc_flag;
extern unsigned short g_adc_val[];
extern unsigned short g_adc_val_update;
extern unsigned long g_adc_val_update_counter;

//Buzzer, LED8
extern unsigned short g_buzz_flag;
extern unsigned short g_led8_flag;
extern unsigned short g_tpu2_tgrb;

//K
extern const unsigned char g_buzz_cycle_ar[];

#endif
/* End of File */
